<?php

$config += [
    'local_path' => dirname(dirname(__DIR__)),
    'files_path' => '/files/',
    'mime_blacklist' => '#'.
        // HTML may contain cookie-stealing JavaScript and web bugs
        '^text/(html|(x-)?javascript)$|^application/x-shellscript$'.
        // PHP/Perl/Bash/etc scripts may execute arbitrary code on the server
        '|php|perl|python|bash|x-c?sh(e|$)'.
        // Client-side hazards on Internet Explorer
        '|^text/scriptlet$|^application/x-msdownload$'.
        // Windows metafile, client-side vulnerability on some systems
        '|^application/x-msmetafile$'.
        '#is',
    'video_converter' => [
        'extract_frame' => '/usr/bin/ffmpeg -ss \'$position\' -i $input -vframes 1 -f image2 -y $output 2>&1',
        'preview_moment' => '0.05',
        'probe' => '/usr/bin/ffmpeg -i $input 2>&1',
        'probe_format' => '/Input #\d+, (\S+), from/is',
        'format_aliases' => [ 'mov,mp4,m4a,3gp,3g2,mj2' => 'mp4', 'matroska' => 'mkv', 'matroska,webm' => 'mkv' ],
        'probe_size' => '/Stream.*Video.*,\s+(\d+)x(\d+)/is', // [1] == width, [2] == height
        'probe_duration' => '/Duration: ([\d:]+)/is',
        'probe_video_format' => '/Stream.*Video:\s*(\S+)/is',
        'probe_audio_format' => '/Stream.*Audio:\s*(\S+)/is',
        'qt_faststart' => '/usr/bin/qt-faststart',
        'convert' => '/usr/bin/ffmpeg -i $input -vcodec h264 -qmax 28 -acodec aac -movflags faststart -y $output',
    ],
];
